> For the complete documentation index, see [llms.txt](https://docs.blockrazor.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockrazor.io/transaction-submission.md).

# Transaction Submission

- [Transaction Submission Overview](https://docs.blockrazor.io/transaction-submission/overview.md): This section introduces the transaction submission modes, including RPC, Block Builder, Transaction Sending, and Gas Sponsor, and explains how to choose the appropriate mode based on the scena
- [BlockRazor RPC](https://docs.blockrazor.io/transaction-submission/rpc.md): BlockRazor provides BSC RPC and Ethereum RPC services to users.
- [BSC RPC](https://docs.blockrazor.io/transaction-submission/rpc/bsc.md): BlockRazor BSC RPC provides standard JSON-RPC access with private transaction routing, MEV protection, low-latency inclusion, and real-time backrun rebates on BNB Smart Chain.
- [BSC RPC Endpoint](https://docs.blockrazor.io/transaction-submission/rpc/bsc/bsc-rpc-endpoint.md)
- [How to integrate BSC RPC into Project](https://docs.blockrazor.io/transaction-submission/rpc/bsc/integration.md): Introduce the steps for integrating BlockRazor BSC RPC.
- [BSC RPC Refund Mechanism](https://docs.blockrazor.io/transaction-submission/rpc/bsc/refund.md): Learn how BlockRazor BSC RPC protects transactions and returns 60% of distributable backrun revenue to users through private orderflow auctions.
- [BSC RPC eth\_sendRawTransaction](https://docs.blockrazor.io/transaction-submission/rpc/bsc/eth_sendrawtransaction.md): Introduce how to integrate BlockRazor BSC RPC’s \`eth\_sendRawTransaction\` method.
- [BSC RPC eth\_sendBundle](https://docs.blockrazor.io/transaction-submission/rpc/bsc/eth_sendbundle.md): Introduce how Project Builders can integrate BlockRazor BSC RPC’s \`eth\_sendMevBundle\` method.
- [BSC RPC Transaction Trace](https://docs.blockrazor.io/transaction-submission/rpc/bsc/scutum_querytxprocessstatus.md): Introduce how to integrate BlockRazor BSC RPC’s \`scutum\_queryTxProcessStatus\` method.
- [BSC RPC Orderflow Auction](https://docs.blockrazor.io/transaction-submission/rpc/bsc/orderflow-auction.md): Introduce how Seachers can integrate BlockRazor BSC RPC’s \`eth\_sendMevBundle\` method.
- [Ethereum RPC](https://docs.blockrazor.io/transaction-submission/rpc/ethereum.md): This document introduces the integration methods and interface access documentation for BlockRazor Ethereum RPC.
- [Ethereum RPC Endpoint](https://docs.blockrazor.io/transaction-submission/rpc/ethereum/endpoint.md)
- [How to Integrate Ethereum RPC into Project](https://docs.blockrazor.io/transaction-submission/rpc/ethereum/integration.md): Introduce the steps for integrating BlockRazor Ethereum RPC
- [Ethereum RPC Refund Mechanism](https://docs.blockrazor.io/transaction-submission/rpc/ethereum/refund.md): Learn how BlockRazor Ethereum RPC protects transactions and returns 90% of backrun revenue and priority fee to users
- [Ethereum RPC eth\_sendRawTransaction](https://docs.blockrazor.io/transaction-submission/rpc/ethereum/eth_sendrawtransaction.md): Introduce how to integrate BlockRazor Ethereum RPC’s \`eth\_sendRawTransaction\` method.
- [Ethereum RPC eth\_sendBundle](https://docs.blockrazor.io/transaction-submission/rpc/ethereum/eth_sendbundle.md): Introduce how to integrate BlockRazor Ethereum RPC’s \`eth\_sendBundle\` method.
- [BSC Block Builder](https://docs.blockrazor.io/transaction-submission/block-builder.md): Introducing BlockRazor Block Builder: Who is it suitable for? What capabilities does it provide? And how to choose endpoint?
- [BSC Block Builder Endpoint](https://docs.blockrazor.io/transaction-submission/block-builder/endpoint.md)
- [BSC Block Builder Fast Submit](https://docs.blockrazor.io/transaction-submission/block-builder/fast-submit.md): Introduction to Fast Submit of BlockRazor BSC Block Builder and access methods
- [BSC Block Builder Send Bundle](https://docs.blockrazor.io/transaction-submission/block-builder/send-bundle.md): Introduction to Send Bundle of BlockRazor BSC Block Builder and integration methods
- [BSC Block Builder Send PrivateTransaction](https://docs.blockrazor.io/transaction-submission/block-builder/send-privatetransaction.md): Introduction to Send PrivateTransaction of BlockRazor BSC Block Builder and integration methods
- [BSC Block Builder Trace Bundle](https://docs.blockrazor.io/transaction-submission/block-builder/trace-bundle.md): Introduction to Trace Bundle of BlockRazor Block Builder and integration methods
- [BSC Block Builder Bundle Explorer](https://docs.blockrazor.io/transaction-submission/block-builder/bundle-explorer.md)
- [BSC Block Builder 0 Gwei](https://docs.blockrazor.io/transaction-submission/block-builder/send-backbundle.md): This section introduces BlockRazor Block Builder's eth\_sendBackBundle (0 Gwei) and its integration method.
- [BSC Block Builder Call Bundle](https://docs.blockrazor.io/transaction-submission/block-builder/call-bundle.md): Introduction to Call Bundle of BlockRazor BSC Block Builder and integration methods
- [Transaction Sending](https://docs.blockrazor.io/transaction-submission/transaction-sending.md): This document introduces BlockRazor's Transaction Sending mode, along with the provided services and API integration documentation.
- [Solana Transaction Sending](https://docs.blockrazor.io/transaction-submission/transaction-sending/solana.md): This document introduces the endpoints, API access documentation, Priority Fee & Tips, and Keep Alive for BlockRazor Solana Transaction Sending mode.
- [Solana Transaction Sending Endpoint](https://docs.blockrazor.io/transaction-submission/transaction-sending/solana/endpoint.md): Introducing the endpoints of BlockRazor Solana Transaction Sending mode
- [Solana Send Transaction](https://docs.blockrazor.io/transaction-submission/transaction-sending/solana/send-transaction.md): Introduction to Send Transaction of BlockRazor Solana Transaction Sending mode
- [Solana Send Transaction Request Example](https://docs.blockrazor.io/transaction-submission/transaction-sending/solana/send-transaction/request-example.md): This section presents an example of a Send Transaction request in BlockRazor Solana Transaction Sending mode.
- [Solana Send Transaction Curl Example](https://docs.blockrazor.io/transaction-submission/transaction-sending/solana/send-transaction/request-example/curl.md): This page describes how to send Solana transactions using curl
- [Solana Send Transaction Go Example](https://docs.blockrazor.io/transaction-submission/transaction-sending/solana/send-transaction/request-example/go.md): This page describes how to build and send Solana transactions using Go
- [Solana Send Transaction Rust Example](https://docs.blockrazor.io/transaction-submission/transaction-sending/solana/send-transaction/request-example/rust.md): This page describes how to build and send Solana transactions using Rust
- [Solana Send Transaction JS Example](https://docs.blockrazor.io/transaction-submission/transaction-sending/solana/send-transaction/request-example/js.md): This page describes how to build and send Solana transactions using JS
- [Solana Send Transaction in Plain Text](https://docs.blockrazor.io/transaction-submission/transaction-sending/solana/send-transaction/send-in-plain-text.md): Introduce the integration of 'Send Transaction in Plain Text' in BlockRazor Solana Transaction Sending mode
- [Solana Send Transaction in Binary](https://docs.blockrazor.io/transaction-submission/transaction-sending/solana/send-transaction/send-in-binary.md): Introduce the integration of 'Send Transaction in Binary' in BlockRazor Solana Transaction Sending mode
- [Solana Send Bundle](https://docs.blockrazor.io/transaction-submission/transaction-sending/solana/send-bundle.md): Introducing the integration method of BlockRazor Solana's Send Bundle in Transaction Sending mode.
- [Solana Send Bundle Curl Example](https://docs.blockrazor.io/transaction-submission/transaction-sending/solana/send-bundle/curl.md): This section introduces a Curl request example for Send Bundle in BlockRazor Solana Transaction Sending mode.
- [Solana Send Bundle Go Example](https://docs.blockrazor.io/transaction-submission/transaction-sending/solana/send-bundle/go.md): This section introduces a Go request example for Send Bundle in BlockRazor Solana Transaction Sending mode.
- [Solana Send Bundle Rust Example](https://docs.blockrazor.io/transaction-submission/transaction-sending/solana/send-bundle/rust.md): This section introduces a Rust request example for Send Bundle in BlockRazor Solana Transaction Sending mode.
- [Solana Send Bundle JS Example](https://docs.blockrazor.io/transaction-submission/transaction-sending/solana/send-bundle/js.md): This section introduces a JS request example for Send Bundle in BlockRazor Solana Fast mode.
- [Solana Send Batch](https://docs.blockrazor.io/transaction-submission/transaction-sending/solana/send-batch.md): Introducing the integration method of BlockRazor Solana's Send Batch in Transaction Sending mode.
- [Solana Send Batch Request Example](https://docs.blockrazor.io/transaction-submission/transaction-sending/solana/send-batch/request-example.md): This section introduces an example of a Send Batch request in BlockRazor Solana Transaction Sending mode.
- [Solana Send Batch Curl Example](https://docs.blockrazor.io/transaction-submission/transaction-sending/solana/send-batch/request-example/curl.md): This section introduces a Curl request example for Send Batch in BlockRazor Solana Transaction Sending mode.
- [Solana Send Batch Go Example](https://docs.blockrazor.io/transaction-submission/transaction-sending/solana/send-batch/request-example/go.md): This section introduces a Go request example for Send Batch in BlockRazor Solana Transaction Sending mode.
- [Solana Send Batch Rust Example](https://docs.blockrazor.io/transaction-submission/transaction-sending/solana/send-batch/request-example/rust.md): This section introduces a Rust request example for Send Batch in BlockRazor Solana Transaction Sending mode.
- [Solana Send Batch JS Example](https://docs.blockrazor.io/transaction-submission/transaction-sending/solana/send-batch/request-example/js.md): This section introduces a JS request example for Send Batch in BlockRazor Solana Transaction Sending mode.
- [Solana Send Batch in Binary](https://docs.blockrazor.io/transaction-submission/transaction-sending/solana/send-batch/send-in-binary.md): Introducing the integration method of 'Send Batch in Binary' in BlockRazor Solana Transaction Sending mode.
- [Solana Transaction Sending Priority Fee & Tip](https://docs.blockrazor.io/transaction-submission/transaction-sending/solana/priority-fee-and-tip.md): Introduction to Priority Fee & Tips for BlockRazor Solana Transaction Sending Mode
- [Solana Transaction Sending Keep Alive](https://docs.blockrazor.io/transaction-submission/transaction-sending/solana/keep-alive.md): Introducing the Keep Alive integration method of BlockRazor Solana Transaction Sending mode
- [BSC Transaction Sending](https://docs.blockrazor.io/transaction-submission/transaction-sending/bsc.md): Introduction to BlockRazor BSC Transaction Sending Mode and API Integration Documentation
- [BSC Broadcast Tx](https://docs.blockrazor.io/transaction-submission/transaction-sending/bsc/broadcast-tx.md): Introducing the Broadcast Tx interface and integration method for BlockRazor BSC Transaction Sending mode.
- [Robinhood Chain Transaction Sending](https://docs.blockrazor.io/transaction-submission/transaction-sending/robinhood-chain.md): This page introduces the price and benchmark of Robinhood Chain Transaction Sending
- [Robinhood Chain Transaction Sending Endpoint](https://docs.blockrazor.io/transaction-submission/transaction-sending/robinhood-chain/endpoint.md): Introduction to the endpoints of BlockRazor Robinhood Chain Transaction Sending
- [Robinhood Chain eth\_sendRawTransaction](https://docs.blockrazor.io/transaction-submission/transaction-sending/robinhood-chain/eth_sendrawtransaction.md): This section introduces the integration of eth\_sendRawTransaction provided by BlockRazor Robinhood Chain Transaction Sending Mode
- [Robinhood Chain Send Transaction in Plain Text](https://docs.blockrazor.io/transaction-submission/transaction-sending/robinhood-chain/eth_sendrawtransaction/send-in-plain-text.md): This section introduces the integration of eth\_sendRawTransaction(Send in Plain Text) provided by BlockRazor Robinhood Chain RPC
- [Robinhood Chain eth\_sendBatch](https://docs.blockrazor.io/transaction-submission/transaction-sending/robinhood-chain/eth_sendbatch.md): This section introduces the integration of eth\_sendBatch provided by BlockRazor Robinhood Chain Transaction Sending mode
- [Robinhood Chain Transaction Sending Health Check](https://docs.blockrazor.io/transaction-submission/transaction-sending/robinhood-chain/health-check.md): This section introduces the integration of Health Check method provided by BlockRazor Robinhood Chain Transaction Sending mode.
- [Ethereum Transaction Sending](https://docs.blockrazor.io/transaction-submission/transaction-sending/ethereum.md): Introduction to BlockRazor Ethereum Transaction Sending Mode and API Integration Documentation
- [Ethereum Broadcast Tx](https://docs.blockrazor.io/transaction-submission/transaction-sending/ethereum/broadcast-tx.md): Introducing the Broadcast Tx interface and integration method for BlockRazor Ethereum Fast mode.
- [Base Transaction Sending](https://docs.blockrazor.io/transaction-submission/transaction-sending/base.md): Introduction to BlockRazor Base Transaction Sending mode and API integration documentation
- [Base eth\_sendRawTransaction](https://docs.blockrazor.io/transaction-submission/transaction-sending/base/eth_sendrawtransaction.md): Introduce how to integrate BlockRazor Base RPC’s \`eth\_sendRawTransaction\` method.
- [Base eth\_sendRawTransaction(tip)](https://docs.blockrazor.io/transaction-submission/transaction-sending/base/eth_sendrawtransaction-tip.md): Introduction to eth\_sendRawTransaction of BlockRazor Base Fast mode and integration methods
- [Gas Sponsor](https://docs.blockrazor.io/transaction-submission/gas-sponsor.md): Introducing BlockRazor's Gas Sponsor, its core features, and access process.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.blockrazor.io/transaction-submission.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
